Actualización Joomla a 3.x  

Página 1 / 2
 
Gabriel
 Gabriel
Estimable Member

Buenos días.
Estoy intentando comprobar los requisitos para actualizar Joomla de 2.5.28 a 3.4, pero algunas cosas no sé cómo hacerlas:
- Me pide hacer una lista de las extensiones importantes que tengo instaladas para comprobar si son válidas en Joomla 3.4. Supongo que se refiere a las que he instalado yo. Si es así, ¿cómo puedo saber las que he instalado, aparte de las que vienen con el sistema y dónde compruebo la compatibilidad?

- Estoy usando la plantilla Helena y tengo que comprobar si es compatible con Joomla 3.4, pero no sé dónde mirarlo.

- Dice: desinstala completamente los componentes que no sean compatibles con la nueva versión. ¿Se refiere a las extensiones mencionadas antes, o son otros componentes? ¿Cómo puedo comprobarlo?

Perdonad el bombardeo, pero estoy bastante perdido

Gracias

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 26/01/2018 10:10 am
Pablo Velasco
 Pablo Velasco
Illustrious Member

Hola Gabriel.

La plantilla Helena que estás utilizando sí que sería compatible con Joomla 3.4.

Respecto a las extensiones, en efecto se refiere a aquellas que hayas instalado en el Joomla, ya que las nativas se actualizarán automáticamente con la propia actualización de Joomla.

Para verificar si son compatibles deberás comprobar en las páginas de las extensiones (la mayoría lo puedes ver en https://extensions.joomla.org ) si la versión que tienes es compatible con Joomla 3. De no ser así, tendrías que verificar si hay una versión compatible y, de no ser así, desinstalar la extensión antes de la actualización.

No te aconsejo en ningún caso actualizar la web en producción de Joomla 2.5 a Joomla 3. En su lugar, la mejor opción es que hagas un clon de tu web y pruebes la actualización en el clon.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 26/01/2018 2:59 pm

Cursos Gratuitos WordPress

Gabriel
 Gabriel
Estimable Member

El problema es que tengo poco espacio y no me va a dar para la copia. De todas formas, si hago una copia de seguridad con Akeeba Backup, siempre puedo restaurar si algo va mal, ¿no es así?. Si es por dejar parada la web, no me importa mientras se hace todo el proceso.

ResponderCitar
Respondido : 26/01/2018 6:06 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

Si, podrás restaurar desde Akeeba, otra opción es usar las copias del sistema que tiene tu cuenta de hosting.
Revisa: https://guias.webempresa.com/preguntas-frecuentes/gestionar-copias-seguridad-superbackup/

Si vas a realizar esto en tu sitio en producción te recomiendo habilitar el mantenimiento antes y hacerlo en un día y horas que no tengas mucho tráfico.

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 26/01/2018 8:31 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Gabriel
 Gabriel
Estimable Member

Hola Jhon.

No sé a qué te refieres con habilitar el mantenimiento. Por otro lado, tendría que comprobar la compatibilidad de las extensiones instaladas. Aparte de las que vienen por defecto, he debido instalar muy pocas, pero no sé cuáles son. ¿Me puedes decir cómo puedo identificarlas? De todas formas he intentado buscar algunas en el JED, pero no sé cómo tengo que buscar (qué nombre poner, cómo se busca si es compatible, etc). Lo siento, pero tengo muchas dificultades para entender la terminología que usáis y cada paso que doy se me hace un mundo. De todas formas el único obstáculo que tengo ahora antes de actualizar es el tema de las compatibilidades.
Gracias

ResponderCitar
Respondido : 27/01/2018 10:50 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola gabriel.

No sé a qué te refieres con habilitar el mantenimiento
Lo que te queria decir jhon es que pusioeras la web en mantenimiento mientras realizas la actualización para que los usuarios cuando accedan no se encuentre con errores.

.- accede Sistema -> Configuración Global
.- En la pestaña " Sitio fuera de línea " selecciona " Si "

Esto mostrara un mensaje indicando que la web se encuentra en mantenimiento

¿Me puedes decir cómo puedo identificarlas?
si despliegas Componentes te mostrara todos los componentes que tienes instalados:

Para los plugins, accede Extensiones -> Plugins y los modulos lo mismo Extensiones -> Modulos

pero no sé cómo tengo que buscar (qué nombre poner, cómo se busca si es compatible, etc)
Por ejemplo puede que uses Breezingform para el formulario de contacto.

.- accede a Joomla! Extensions Director y en el buscador añades el nombre de la extensión que quieres buscar, en este caso " Breezingform "

cómo se busca si es compatible
Una vez localizado si accedes veras las caracteristicas y la compatibilidad.

El problema es que tengo poco espacio y no me va a dar para la copia.
Puedes mandar un ticket a soporte para que dupliquen provisionalmente tu cuota de disco y con eso poder realizar las pruebas que necesites para la actualización.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 27/01/2018 11:43 am

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Gabriel
 Gabriel
Estimable Member

Gracias por la respuesta tan detallada. Sólo una cuestión: hay decenas de componentes y extensiones activos. ¿Hay forma de identificar los que he instalado por mi cuenta de los que vienen por defecto con el sistema?
Gracias

ResponderCitar
Respondido : 29/01/2018 9:36 am
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Gabriel.

Lo único que puedes realizar es descargar una versión de joomla en tu equipo y revisar la carpeta componentes, módulos y plugin, veras los que tiene joomla por defecto y comparando con los que tienes en tu version podrás identificarlos.

https://downloads.joomla.org/es/

No creo que tengas muchos a no ser que instalaras alguna extensión para redes sociales o slider, tendras breezing, gantry RokSprocket y Virtuemart

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 29/01/2018 10:57 am

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Gabriel
 Gabriel
Estimable Member

Buenos días.

Quería comentarte que en el mismo hosting tengo 2 instalaciones de Joomla y quiero empezar actualizando la más sencilla que no tiene tienda online. La versión actual es 2.5.24, por lo que antes de actualizar a joomla 3, es preceptivo actualizar a 2.5.28. Sin embargo, después de seleccionar en opciones "Soporte de corta duración -STS-" no aparece la opción de actualizar a 2.5.28, sino que indica que ya tengo instalada la última versión (2.5.24). ¿Qué puede estar pasando?

Gracias

ResponderCitar
Respondido : 07/02/2018 1:29 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Gabriel.

.. accede a sistema -> Limpiar la caché y selecciona " Borrar Todo "
.- Selecciona " Limpiar la caché expirada " y pulsa el botón " Limpiar expirados "

Revisa si después de eso puedes ver la actualización disponible.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 07/02/2018 2:51 pm

Cursos Gratuitos WordPress

Gabriel
 Gabriel
Estimable Member

Hola.

Sigue sin aparecer una nueva actualización. Después de hacer lo que me dices accedo a "Actualización de Joomla" y sigue apareciendo:

Sin actualizaciones disponibles

Ya dispone de la última versión de Joomla!, 2.5.24.

ResponderCitar
Respondido : 07/02/2018 5:31 pm
Jhon
 Jhon
Soporte CMS Webempresa Moderator

Hola

No selecciones : "Soporte de corta duración -STS-" , esto en su momento funcionaba pero una versión STS con el tiempo se vuelve LTS, por lo tanto mantén la opción por defecto LTS seleccionada.

Si aún así no te aparecen actualizaciones podrías probar actualizar manualmente a 2.5.28, tendrías que descargarte el paquete de actualización de 2.5.x a 2.5.28, revisa:

https://downloads.joomla.org/cms/joomla25/2-5-28

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 07/02/2018 6:13 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Gabriel
 Gabriel
Estimable Member

Hola.

Estoy siguiendo los pasos para actualizar a Joomla 3. En la actualización previa de extensiones aparecen los siguientes errores:

Al actualizar JCE Editor:
Update: :Extension: No se ha podido abrir https://www.joomlacontenteditor.net/index.php?option=com_updates&view=update&format=xml&id=1 /extension.xml
Actualización de la extensión inválida

Al actualizar JA Purity II template for Joomla 2.5:
Se ha producido un error actualizando COM_INSTALLER_TYPE_TYPE_.
Tipo de archivo desconocido
La ruta de actualización no existe

Estas extensiones aparecían en la lista de pendientes de actualizar. ¿Son imprescindibles o puedo pasar de ellas?

Gracias

ResponderCitar
Respondido : 08/02/2018 12:55 pm
Pepe
 Pepe
Soporte CMS Webempresa Admin

Hola Gabriel.

Al actualizar JCE Editor:
Descarga el paquete de esta URL y lo instalas como cualquier otra extension Extensiones -> Gestionar -> instalar

-> https://www.joomlacontenteditor.net/downloads/editor/core

Al actualizar JA Purity II template for Joomla 2.5:
veo que la plantilla que utilizas es Helena, por lo que no hace falta que actualices esa plantilla.

Un saludo

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¿Has probado WpCenter?, es nuestro nuevo manager de WordPress desde el propio cPanel sin necesidad de acceder a tu administración, te permitirá configurar actualizaciones automáticas y mucho más.
Pruébalo accediendo a tu cPanel > Aplicaciones Webempresa > WpCenter
¡Gracias!.

ResponderCitar
Respondido : 08/02/2018 2:06 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Gabriel
 Gabriel
Estimable Member

Disculpa, pero esa es la plantilla de la otra web. La del Joomla que quiero actualizar es j51_oxygen. ¿Me puedes decir si esta plantilla es compatible con Joomla 3?
Por otro lado, sigo sin recibir la actualización de Joomla ponga soporte de larga duración o soporte de corta duración. ¿Me puedes facilitar el enlace con el fichero de actualización de 2.5.28 a 3.x?
Las instrucciones de actualización que me enviásteis son para actualizar a 3.4.4. ¿Son válidas para la última versión de Joomla a la que se supone que voy a actualizar?
Gracias

ResponderCitar
Respondido : 08/02/2018 5:48 pm
Página 1 / 2

Por favor Iniciar Sesión o Registro